"use strict";

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

/**
 * return the largest integer in the given array
 *
 * @param {Array} arr the array as input.
 * @return {Number} the largest integer in the given array.
 *
 */
function arrayMax(arr) {
  if (!Array.isArray(arr)) throw "Invalid Array";
  return Math.max.apply(Math, _toConsumableArray(arr));
}
module.exports = arrayMax;