"use strict";

/**
 * Takes an array and returns the average of the numbers in it
 * @param {Array} arr
 * @return {Int or decimal} sum
 **/
function average(arr) {
  var numbers = 0;

  var sum = arr.reduce(function (a, b) {
    if (Number.isInteger(b)) {
      numbers++;
      return a + b;
    } else {
      return a;
    }
  }, 0);

  if (!numbers) {
    return undefined;
  } else {
    return sum / numbers;
  }
}

module.exports = average;