"use strict";

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * Write a function that takes in an object and a string value. It should delete the property that matches the string value
 * @param {Object} obj
 * @param {String} str
 */

function deleteProp(obj, str) {
  return Object.keys(obj).reduce(function (acc, key) {
    return key === str ? acc : _extends({}, acc, _defineProperty({}, key, obj[key]));
  });
}

module.exports = deleteProp;