"use strict";

// Given an array of integers and a desired sum,
// return the first two occuring elements which could be added together to form the desired result.
// For example findPair(7, [1, 4, 5, 3, 6]) would return [4,3].
function findPair(sum, arr) {
  if (!Array.isArray(arr)) {
    throw new Error("Argument at index 1 must be of type Array.");
  }

  var _iteratorNormalCompletion = true;
  var _didIteratorError = false;
  var _iteratorError = undefined;

  try {
    for (var _iterator = arr[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
      var num = _step.value;

      var targetNum = sum - num;
      if (arr.includes(targetNum)) {
        return [num, targetNum];
      }
    }
  } catch (err) {
    _didIteratorError = true;
    _iteratorError = err;
  } finally {
    try {
      if (!_iteratorNormalCompletion && _iterator.return) {
        _iterator.return();
      }
    } finally {
      if (_didIteratorError) {
        throw _iteratorError;
      }
    }
  }

  return [];
}
module.exports = findPair;