"use strict";

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var fs = require("fs");
var path = require("path");
var normalizedPath = path.join(__dirname);
var files = fs.readdirSync(normalizedPath);
var modules = files.reduce(function (modules, file) {
  var moduleName = path.basename(file, ".js");
  var newModules = _extends({}, modules);
  newModules[moduleName] = require("./" + moduleName);
  return newModules;
}, {});

module.exports = modules;