"use strict";

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

/**
 *  Write a function that returns true if input dict has input key
 * @param {{}} dict
 * @param {any} key
 * @return {boolean}
 */
function isHasKey(dict, key) {
  if (!dict || (typeof dict === "undefined" ? "undefined" : _typeof(dict)) != "object" || !key || (typeof key === "undefined" ? "undefined" : _typeof(key)) == "object") {
    throw new Error("Invalid Argument");
  }
  return dict.hasOwnProperty(key);
}

module.exports = isHasKey;