"use strict";

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

function _toArray(arr) { return Array.isArray(arr) ? arr : Array.from(arr); }

/**
 * @param array: Contains the items that will be used to take elements from
 * @param n: Count of elements to take from given array
 */
function take(array, n) {
  var _array = _toArray(array),
      h = _array[0],
      t = _array.slice(1);

  if (n < 2) {
    return n === 1 ? [h] : [];
  }
  if (h === undefined || t === undefined) {
    return [];
  }
  return [h].concat(_toConsumableArray(take(t, n - 1)));
}

module.exports = take;