"use strict";

/**
 * Write a function that accepts a string and returns the number of vowels in the string
 * Note:  Shouldn't be case sensitive and as a bonus we could return an object showing the counts for each vowel separately i.e. {'a': 1, 'o' : 3}
 * @param {String} s
 */
function vowelCount(s) {
  var matches = s.match(/[aeiou]/gi);
  return matches ? matches.length : 0;
}

module.exports = vowelCount;