"use strict";

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * Write a function that extends a target object with
 * another property. The target should be left unchanged.
 * @param {Object} target
 * @param {String} propName
 * @param {*} propValue
 */
function addProp(target, propName, propValue) {
  return _extends({}, target, _defineProperty({}, propName, propValue));
}

module.exports = addProp;