"use strict";

var flattenArray = require("./flattenArray");
var isObject = require("./isObject");

function getKeyValuePairs(object, delimiter) {
  var prefix = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : "";

  return flattenArray(Object.keys(object).map(function (key) {
    var value = object[key];

    return isObject(value) ? getKeyValuePairs(value, delimiter, "" + prefix + key + delimiter) : { key: "" + prefix + key, value: value };
  }));
}

module.exports = getKeyValuePairs;