"use strict";

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

/**
 * Returns the number of unique elements in an array
 *
 * @param {Array} arr
 * @returns {Number}
 */

function uniqueCount(arr) {
  if (Array.isArray(arr)) {
    return [].concat(_toConsumableArray(new Set(arr))).length;
  }

  throw "arr is not an Array";
}

module.exports = uniqueCount;